import { BigNumberish } from 'ethers';
import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { GetMasterChefDataPropsParams, GetMasterChefTokenBalancesParams, MasterChefTemplateContractPositionFetcher } from '../../../position/template/master-chef.template.contract-position-fetcher';
import { KyberswapClassicContractFactory, KyberSwapClassicMasterchefV2 } from '../contracts';
export declare abstract class KyberSwapClassicFarmFairlaunchV2ContractPositionFetcher extends MasterChefTemplateContractPositionFetcher<KyberSwapClassicMasterchefV2> {
    protected readonly appToolkit: IAppToolkit;
    protected readonly contractFactory: KyberswapClassicContractFactory;
    abstract chefAddresses: string[];
    chefAddress: string;
    constructor(appToolkit: IAppToolkit, contractFactory: KyberswapClassicContractFactory);
    getDefinitions(): Promise<{
        address: string;
        poolIndex: number;
    }[]>;
    getContract(address: string): KyberSwapClassicMasterchefV2;
    getPoolLength(contract: KyberSwapClassicMasterchefV2): Promise<BigNumberish>;
    getStakedTokenAddress(contract: KyberSwapClassicMasterchefV2, poolIndex: number): Promise<string>;
    getRewardTokenAddress(contract: KyberSwapClassicMasterchefV2): Promise<string>;
    getTotalAllocPoints(_params: GetMasterChefDataPropsParams<KyberSwapClassicMasterchefV2>): Promise<BigNumberish>;
    getPoolAllocPoints(_params: GetMasterChefDataPropsParams<KyberSwapClassicMasterchefV2>): Promise<BigNumberish>;
    getTotalRewardRate({ contract, definition, }: GetMasterChefDataPropsParams<KyberSwapClassicMasterchefV2>): Promise<BigNumberish>;
    getStakedTokenBalance({ address, contract, contractPosition, }: GetMasterChefTokenBalancesParams<KyberSwapClassicMasterchefV2>): Promise<BigNumberish>;
    getRewardTokenBalance({ address, contract, contractPosition, }: GetMasterChefTokenBalancesParams<KyberSwapClassicMasterchefV2>): Promise<BigNumberish>;
}
